> ## Documentation Index
> Fetch the complete documentation index at: https://nixtla.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Fine-tuned Models

> List all the finetuned models that you have created. The response contains a list with the IDs of the models that you have fine-tuned and are available to make forecasts.



## OpenAPI

````yaml /openapi.json get /v2/finetuned_models
openapi: 3.1.0
info:
  title: Nixtla Forecast API
  description: >-
    API for TimeGPT forecast. Just send your data as json and get results. We do
    the heavy lifting.
  version: 2025.8.3
servers:
  - url: https://api.nixtla.io
security: []
paths:
  /v2/finetuned_models:
    get:
      summary: List Fine-tuned Models
      description: >-
        List all the finetuned models that you have created. The response
        contains a list with the IDs of the models that you have fine-tuned and
        are available to make forecasts.
      operationId: v2_finetuned_models_v2_finetuned_models_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FinetunedModelsOutput'
      security:
        - HTTPBearer: []
components:
  schemas:
    FinetunedModelsOutput:
      properties:
        finetuned_models:
          items:
            $ref: '#/components/schemas/FinetunedModel'
          type: array
          title: Finetuned Models
      type: object
      required:
        - finetuned_models
      title: FinetunedModelsOutput
    FinetunedModel:
      properties:
        id:
          type: string
          pattern: ^[a-zA-Z0-9\-_]{1,36}$
          title: Id
        created_at:
          type: string
          title: Created At
        created_by:
          type: string
          title: Created By
          default: user
        base_model_id:
          type: string
          pattern: ^[a-zA-Z0-9\-_]{1,36}$
          title: Base Model Id
        steps:
          type: integer
          title: Steps
        depth:
          type: integer
          title: Depth
        loss:
          type: string
          enum:
            - default
            - mae
            - mse
            - rmse
            - mape
            - smape
            - poisson
          title: Loss
        model:
          type: string
          title: Model
        freq:
          type: string
          title: Freq
      type: object
      required:
        - id
        - created_at
        - base_model_id
        - steps
        - depth
        - loss
        - model
        - freq
      title: FinetunedModel
  securitySchemes:
    HTTPBearer:
      type: http
      description: HTTPBearer
      scheme: bearer

````